source: clfs-embedded/BOOK/prologue/common/hostreqs.xml @ 48cc932

Last change on this file since 48cc932 was 48cc932, checked in by Andrew Bradford <bradfa@…>, 12 years ago

Host Glibc versions up to 2.11 are OK

  • Property mode set to 100644
File size: 3.5 KB
Line 
1<?xml version="1.0" encoding="ISO-8859-1"?>
2<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
3  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
4  <!ENTITY % general-entities SYSTEM "../../general.ent">
5  %general-entities;
6]>
7
8<sect1 id="pre-hostreqs">
9  <?dbhtml filename="hostreqs.html"?>
10
11  <title>Host System Requirements</title>
12
13    <para>You should be able to build a CLFS system from just about any
14    Unix-type operating system. Your host system should have the following
15    software with the minimum versions indicated. Also note that many
16    distributions will place software headers into separate packages, often in
17    the form of <quote>[package-name]-devel</quote> or
18    <quote>[package-name]-dev</quote>. Be sure to install those if
19    your distribution provides them.</para>
20
21  <itemizedlist spacing="compact">
22
23    <listitem>
24      <para><emphasis role="strong">Bash-2.05a</emphasis></para>
25    </listitem>
26
27    <listitem>
28      <para><emphasis role="strong">Binutils-2.12</emphasis> (Versions
29      greater than &binutils-version; are not recommended as they have
30      not been tested)</para>
31    </listitem>
32
33    <listitem>
34      <para><emphasis role="strong">Bzip2-1.0.2</emphasis></para>
35    </listitem>
36
37    <listitem>
38      <para><emphasis role="strong">Coreutils-5.0</emphasis> (or Sh-Utils-2.0,
39      Textutils-2.0, and Fileutils-4.1)</para>
40    </listitem>
41
42    <listitem>
43      <para><emphasis role="strong">Diffutils-2.8</emphasis></para>
44    </listitem>
45
46    <listitem>
47      <para><emphasis role="strong">Findutils-4.1.20</emphasis></para>
48    </listitem>
49
50    <listitem>
51      <para><emphasis role="strong">Gawk-3.0</emphasis></para>
52    </listitem>
53
54    <listitem>
55      <para><emphasis role="strong">Gcc-2.95.3</emphasis> (Versions
56      greater than &gcc-version; are not recommended as they have not
57      been tested)</para>
58    </listitem>
59
60    <listitem>
61      <para><emphasis role="strong">Glibc-2.2.5</emphasis> (Versions
62      greater than 2.11 are not recommended as they have
63      not been tested)</para>
64    </listitem>
65
66    <listitem>
67      <para><emphasis role="strong">Grep-2.5</emphasis></para>
68    </listitem>
69
70    <listitem>
71      <para><emphasis role="strong">Gzip-1.2.4</emphasis></para>
72    </listitem>
73
74    <listitem>
75      <para><emphasis role="strong">Make-3.79.1</emphasis></para>
76    </listitem>
77
78    <listitem>
79      <para><emphasis role="strong">Patch-2.5.4</emphasis></para>
80    </listitem>
81
82    <listitem>
83      <para><emphasis role="strong">Sed-3.0.2</emphasis></para>
84    </listitem>
85
86    <listitem>
87      <para><emphasis role="strong">Tar-1.14</emphasis></para>
88    </listitem>
89
90  </itemizedlist>
91
92  <para>To see whether your host system has all the appropriate versions, run the following:</para>
93
94<screen role="nodump"><userinput>cat &gt; version-check.sh &lt;&lt; "EOF"
95<literal>#!/bin/bash
96
97# Simple script to list version numbers of critical development tools
98
99bash --version | head -n1 | cut -d" " -f2-4
100echo -n "Binutils: "; ld --version | head -n1 | cut -d" " -f3-
101bzip2 --version 2&gt;&amp;1 &lt; /dev/null | head -n1 | cut -d" " -f1,6-
102echo -n "Coreutils: "; chown --version | head -n1 | cut -d")" -f2
103diff --version | head -n1
104find --version | head -n1
105gawk --version | head -n1
106gcc --version | head -n1
107/lib/libc.so.6 | head -n1 | cut -d" " -f1-7
108grep --version | head -n1
109gzip --version | head -n1
110make --version | head -n1
111patch --version | head -n1
112sed --version | head -n1
113tar --version | head -n1</literal>
114
115EOF
116
117bash version-check.sh</userinput></screen>
118
119</sect1>
Note: See TracBrowser for help on using the repository browser.